package Site;

use strict;
use vars qw( $VERSION );
$VERSION = '0.71';



1;
__END__

=head1 NAME

Site - Perl modules to help ease site development,
	especially SQL-driven site development

=head1 SYNOPSIS

  use Site::Page;
  use Site::Template;
  use Site::SQLTable;
  use Site::SQLForm;

=head1 DESCRIPTION

You really should just perldoc the above modules, but here's
a quick overview:

=head2 Site::Page

Bundled page handling, includes standard header/footer, sessions
via cookies and tie(), and it's good to inherit from in projects
so you can incorporate user permissions and stuff in to it.

=head2 Site::Template

The backbone of most of the package, handles template based pages
or sections of pages.  Can do loops, contitions, pre-processed cache
files, autoescapes, substitutions, custom escapes and other stuff.

Also used to generate forms and tables by the SQLForms and SQLTables
modules and to customize those tables and forms.

=head2 Site::SQLTable

Displays tables of SQL data.  SQLObjects can be directly converted to
tables.  Also handles next/last, sorting by columns, page numbering,
etc with very little fuss.  Tables can be modified by creating
custom templates.

=head2 Site::SQLForm

Like the SQLTable SQLObjects can be directly bound to forms.  Handles
add/edit/delete of record by pkey, auto-escaping data, and can
also be bound to templates to change the look/feel of the forms.

=head1 AUTHOR

Copyright (c) 2001 Steve Slaven <bpk@hoopajoo.net> All rights reserved.

This program is free software  and is provided "as is" without
express or implied warranty. You can redistribute it and/or
modify it under the same terms as Perl itself.

=head1 SEE ALSO

perl(1).

=cut
